%define cherry_user     _cherry
%define cherry_group    _cherry
%define cherry_home     %_localstatedir/%name

Name: cherry
Version: 2.0.cvs20060301
Release: alt1

Summary: ISP billing system
License: BSD-like
Group: System/Servers

Url: http://cherry.aisp.ru
Source0: %name-%version.tar.bz2
Source1: %name.apache.conf
Source2: %name.apache.vhost
Source3: %name.README.ALT
Source4: %name.cron

Patch0: cherry-2.0-tariffsrv.patch
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

BuildArch: noarch
BuildPreReq: perl-CGI, perl-CGI-Deurl, perl-Crypt-DES, perl-Crypt-SmbHash
BuildPreReq: perl-DBI, perl-Digest-SHA1, perl-RADIUS-rz, perl-GD2, perl-SNMP_Session

Requires: perl-DBD-Pg

%description
ISP billing system

%package doc
Summary: Documentation for ISP billing system %name
Group: Documentation

%description doc
%summary

%prep
%setup -q -n %name
%patch0 -p1

find -type d -name CVS -print0 | xargs -r0 rm -rf --
find -type f -name .cvsignore -print0 |	xargs -r0 rm -f --

%build

find . -type f -print0 | xargs -0 \
	sed -i -e "s,/usr/local/bin/snmpwalk,snmpwalk,g" \
	       -e "s,/usr/bin/grep,grep,g" \
	       -e "s,/usr/bin/sed,sed,g" \
	       -e "s,/usr/bin/head,head,g" \
	       -e "s,/usr/local/bin/snmpset,snmpset,g" \
	       -e "s,/usr/bin/awk,awk,g" \
	       -e "s,/usr/bin/mail,mail,g" \
	       -e "s,/usr/bin/su,su,g" \
	       -e "s,/usr/bin/sudo,sudo,g" \
	       -e "s,/usr/local/pgsql/bin/psql,psql,g" \
	       -e "s,/usr/local/pgsql/bin/pg_dump,pg_dump,g" \
	       -e "s,/usr/local/pgsql/bin/vacuumdb,vacuumdb,g" \
	       -e "s,/usr/local/cherry/etc,%_sysconfdir/%name,g" \
	       -e "s,require\ \"../etc/,require\ \"%_sysconfdir/%name/,g" \
	       -e "s,\$CFG::BASE/etc/,\$CFG::BASE/,g" \
	       -e "s,\$CFG::BASE/bin/,%_libexecdir/%name/,g" \
	       -e "s,require \"\$ENV{'CHERRY'}/etc/cherry.cfg,require\ \"%_sysconfdir/%name/%name.cfg,g" \
	       -e "s,\.\./\.\./etc/cherry.cfg,%_sysconfdir/%name/%name.cfg,g" \
	       -e "s,\"\$BASE/../../etc/cherry.cfg,\"%_sysconfdir/%name/%name.cfg,g" \
	       -e "s,\"\$BASE/../dbaccess,\"%_libexecdir/%name/dbaccess,g" \
	       -e "s,\"../../../etc/monitoring,\"%_sysconfdir/%name/monitoring,g" \
	       -e "s,/var/log,%_var/log/%name,g" \
	       -e "s,/usr/local/cherry/bin,%_libexecdir/%name,g" \
	       -e "s,\.\./bin,%_libexecdir/%name,g" \
	       -e "s,/usr/local/pgsql/lib,%_libdir/pgsql,g" \
	       -e "s,\$BASE/templates,%_var/www/html/addon-modules/%name/templates,g" \
	       -e "s,\$BASE/html,%_var/www/html/addon-modules/%name/html,g" \
	       -e "s,\$BASE/etc/passwd,%_sysconfdir/%name/passwd,g" \
	       -e "s,\$CFG::BASE/htdocs/,%_var/www/html/addon-modules/%name/htdocs/,g" \
	       -e "s,\$TARGET/etc/,%_sysconfdir/%name/,g" \
	       -e "s,\$TARGET/bin/,%_libexecdir/%name/,g" \
	       -e "s,su\ cherry,su\ %cherry_user -s /bin/sh,g" \
	       -e "s,\$CFG::BASE/templates,%_var/www/html/addon-modules/%name/templates,g" --

sed -i -e "s,/tmp/radsrv.usm,%_localstatedir/%name/radsrv.usm,g" \
       -e "s,/tmp/radsrv.pid,%_var/run/%name/radsrv.pid,g" etc/radsrv.cfg.example
sed -i -e "s,if(-d\ \"/usr/local/cherry\")\ { \$BASE=\"/usr/local/cherry\";,if(-d\ \"%_sysconfdir/%name\")\ { \$BASE=\"%_sysconfdir/%name\";,g" etc/cherry.cfg.example
sed -i -e "s,\ 2>&1,,g" htdocs/template.cgi
sed -i -e "s,/usr/local/pgsql/lib/plpgsql.so,%_libdir/pgsql/plpgsql.so,g" bin/cherry_db.Pg
sed -i -e "s,/tmp/radsrv.flow,%_localstatedir/%name/radsrv.flow,g" bin/radsrv.pl

# we don't need freebsd binaries
rm -f bin/pglo

# we don't need perl modules
rm -f bin/monitoring/agents/*.pm

%add_findreq_skiplist %_libexecdir/%name/tariffsrv/inet_dynamic_ip.pl
%add_findreq_skiplist %_libexecdir/%name/pppoed_degluck.sh
%add_findreq_skiplist %_libexecdir/%name/unix_shell/*

%install

install -d -m1770 %buildroot%_sysconfdir/%name
install -d -m0755 %buildroot%_var/www/cgi-bin/%name
install -d -m0755 %buildroot%_var/www/html/addon-modules/%name
install -d -m1770 %buildroot%_localstatedir/%name
install -d -m0755 %buildroot%_libexecdir/%name
install -d -m1770 %buildroot%_var/log/%name
install -d -m1775 %buildroot%_var/run/%name

# etc
install -p -m0644 etc/{.htaccess,actions.cfg,tariffsrv.cfg} %buildroot%_sysconfdir/%name
install -p -m0644 etc/{dictionary,dictionary.ascend} %buildroot%_sysconfdir/%name
install -pD -m0640 etc/cherry.cfg.example %buildroot%_sysconfdir/%name/cherry.cfg
install -pD -m0660 etc/groups.cfg.example %buildroot%_sysconfdir/%name/groups.cfg
install -pD -m0660 etc/ucp.cfg.example %buildroot%_sysconfdir/%name/ucp.cfg
find etc -mindepth 1 -maxdepth 1 -type d -print0 \
	|xargs -0 cp -rp --target-directory=%buildroot%_sysconfdir/%name --

# bin
find bin -mindepth 1 -maxdepth 1 -type d -print0 \
	|xargs -0 cp -rp --target-directory=%buildroot%_libexecdir/%name --
find bin -maxdepth 1 -type f -print0 \
	|xargs -0 cp -p --target-directory=%buildroot%_libexecdir/%name --

# cgi & html
cp -rp {htdocs,html,icons,templates,index.html} %buildroot%_var/www/html/addon-modules/%name

install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/httpd/conf/vhosts.d/%name-vhost.conf.disabled
install -pD -m0644 %SOURCE3 README.ALT
install -pD -m0644 %SOURCE4 %buildroot%_sysconfdir/cron.d/%name

%pre
/usr/sbin/groupadd -f %cherry_group ||:
/usr/sbin/useradd -g %cherry_group -c 'Cherry billing pseudouser' \
	-d %cherry_home -s /dev/null -r %cherry_user >/dev/null 2>&1 ||:

%files
%config(noreplace) %_sysconfdir/cron.d/%name
%config(noreplace) %_sysconfdir/%name/*.cfg*
%config(noreplace) %_sysconfdir/%name/*/*.cfg*
%config(noreplace) %_sysconfdir/%name/dictionary*
%config(noreplace) %_sysconfdir/%name/dicts/*
%config(noreplace) %_sysconfdir/%name/docflow/bot2_act.tpl
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf
%_sysconfdir/httpd/conf/vhosts.d/%name-vhost.conf.disabled
%_sysconfdir/%name/.htaccess
%_libexecdir/%name
%attr(0550,%cherry_user,%cherry_group) %_var/www/html/addon-modules/%name
%dir %attr(1770,root,%cherry_group) %_sysconfdir/%name
%dir %attr(1770,root,%cherry_group) %_localstatedir/%name
%dir %attr(1770,root,%cherry_group) %_var/run/%name
%dir %attr(1770,root,%cherry_group) %_var/log/%name
%doc README.ALT

%files doc
%doc docs

%changelog
* Thu Apr 20 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 2.0.cvs20060301-alt1
- Initial build for Sisyphus
